YAFC(1)

NAME
yafc - Yet another FTP client

SYNOPSIS
yafc [options] [proto://][user[:password]@]hostname[:port][/directory]

DESCRIPTION
This manual documents Yafc. Yafc is quite a powerful ftp client. It is a console interface to the ftp protocol. If you're looking for a nice GUI client, Yafc is not for you. If you, however, use ftp often and want a fast, powerful, friendly client Yafc is here for you...

Some of the features are recursive get/put/ls/rm, nohup transfers, colored ls, cached directory listings, autologin and bookmarks, powerful aliases and extensive tab completion.

OPTIONS

-a, --anon
    Try an anonymous login, ie login as "anonymous" with your email address as password. Your email address is first looked for in the config file ("anon_password"), then in the $EMAIL environment variable. If it's not found, a guess is made from your user- and hostname.

-d, --debug
    Print all messages sent to/from server.

-D, --dump-rc
    Prints the default configuration file to standard output.

-m MECH, --mechanism=MECH
    Try security mechanism MECH when logging in to the host specified on the command line. This will override any 'mech' options in yafcrc or bookmarks. MECH is a colon-separated string, supported values are "krb4", "krb5" and "none". The mechanisms are tried in the order specified.

-n, --norc
    Do not read the users configuration file. This will cause yafc to use its default settings.

-p, --noproxy
    Do not connect via the proxy. This should be used if connection to a host on the local network.

-q, --quiet
    Do not print the welcome message with copyright information when starting Yafc.

-r FILE, --rcfile=FILE
    Read another configuration file.

-t FILE, --trace[=FILE]
    Enable creation of trace file. Trace files are mainly for debugging and includes every response and command Yafc receives/sends. If FILE is specified, use that file instead of the default trace file (~/.yafc/trace/trace.pid, where pid is the process id number of Yafc.) Trace files can grow quite large and can safely be deleted.

-u, --noauto
    Do not login automagically to the host specified on the command line. You can still use bookmark aliases, though.

-U, --noalias
    As ---noauto, but bookmark aliases is disabled (for host on command line).

-v, --verbose
    Print all responses received (without response code.)

-w, --wait=TIME
    Use a different time to wait between connection attempts, in seconds. This overrides the value set by "connect_wait_time" in the configuration file.

-W, --workdir=DIR
    Use a different working directory for configuration files and temporary files. Default is ~/.yafc.

-V, --version
    Print version information on stdout and exit successfully.

-h, --help
    Print a short help description on stdout and exit successfully.

SEE ALSO
The full documentation for yafc is maintained as a Texinfo manual. If the info and yafc programs are properly installed at your site, the command

    info yafc

should give you access to the complete manual.

AUTHOR
Yafc was written by Martin Hedenfalk <mhe@home.se>. This manual page was created from the Texinfo documentation by Decklin Foster <decklin@red-bean.com> for the Debian system.